Xerces-C++: LocalFileFormatTarget Class Reference

Xerces-C++ 3.3.0

List of all members
LocalFileFormatTarget Class Reference

`#include <xercesc/framework/LocalFileFormatTarget.hpp>`

Inheritance diagram for LocalFileFormatTarget:

## constructors and destructor
| LocalFileFormatTarget (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| LocalFileFormatTarget (const char *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~LocalFileFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()

## Additional Inherited Members
Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.
Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ LocalFileFormatTarget() [1/2]

LocalFileFormatTarget::LocalFileFormatTarget | ( | const XMLCh * const | ,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## ◆ LocalFileFormatTarget() [2/2]

LocalFileFormatTarget::LocalFileFormatTarget | ( | const char * const | ,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## ◆ ~LocalFileFormatTarget()

LocalFileFormatTarget::~LocalFileFormatTarget | ( |  | ) |

## Member Function Documentation

## ◆ flush()

virtual void LocalFileFormatTarget::flush | ( |  | ) |
| virtual

Reimplemented from XMLFormatTarget.

## ◆ writeChars()

virtual void LocalFileFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter )
| virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- LocalFileFormatTarget.hpp